Subject: Re: bug#10464: 24.0.92; mouse highlight regression

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Jan 2012 00:26:07 -0500

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 10 Jan 2012 12:21:10 +0800
> 
> When the mouse is over the XXX, the highlight only extends to the end of
> the text, whereas it's expected to go to the end of the line.  This is
> the case where there's an overlay with "XXX\n" as the display string and
> a mouse face.

I will look into it, but (compatibility with Emacs 23 aside) how
important is it to have the entire display line come up in mouse color
in this case?  I could make an argument that what we do in Emacs 24 is
actually better, since the newline is not shown on display as any
tangible glyph.

IOW, are there practical use cases where this difference matters?